# Vidéoway Mono

[English](README.md)

![](demo_charset.png)

Une police 8x11px qui se veut une recréation complète de la police qu'on pouvait retrouver dans les vieux terminaux Vidéoway de Vidéotron, avec quelques ajouts afin de couvrir le plus de scripts possible. Fait à la main, pour les amateurs de rétrogaming, mais aussi pour les programmeurs qui veulent une police facile à lire.

C'est une police bitmap, donc elle fonctionne le mieux à un multiple de 11px ou 8pt. Les lettres font 8 pixels de large avec quelques symboles qui en font le double, idéal pour presque n'importe quelle utilisation d'une police monoespacée.

Note: Vidéoway Mono se décline dorénavant en deux variations: la version HiDpi est essentiellement identique celle de base, mais avec une résolution doublée: elle se rend mieux à un multiple de 22px ou 16pt, et certains glyphes, notamment le crochet, tirent profit de ce fait en offrant une version soi-disant haute définition. En tout cas, à moins d'avoir besoin d'une version qui fait 11 pixels de hauteur, ça vous prend celle-là.

![](demo_sqrt.png)

## Installation

=> [Télécharger la dernière version ici](https://a39.dev/VideowayRevival/VideowayMono/releases) <=

La version HiDpi.ttf pour Windows et .dfont pour Mac devrait faire l'affaire, le reste c'est pour ceux qui s'y connaissent ;)

### Compiler la dernière version soi-même

Ça prend une copie de FontForge, [Bits'N'Picas](https://github.com/kreativekorp/bitsnpicas), git, make, et une ligne de commande.

```sh
git clone https://a39.dev/VideowayRevival/VideowayMono
cd VideowayMono
make
```

## Notes

### Crédits

Un gros merci à [David Viens (plgDavid)](https://merveilles.town/@plgDavid) qui a fait une rétro-ingénérie du Vidéoway et qui a posté la police originale, qu'on retrouve presque non modifié dans le bloc Basic Latin, plus quelques lettres minuscules accentuées et des symboles auquels je leur ai trouvé une place dans le mapping Unicode ou dans le Private Use Area à partir de `U+F000`. Le reste est soit d'autres symboles trouvés dans des captures d'écran, ou une création dans sensiblement le même style par mes soins.

Également, merci au Discord Vidéoway Revival pour leur soutien.

### Zéro

On peut trouver un zéro différent à certains endroits de l'interface Vidéoway. J'ai décidé de garder le zéro original qui est le même que la lettre O et qui est aussi celui trouvé dans une majorité des captures que j'ai trouvé, et d'encoder le zéro alternatif sur `U+FF10 FULL WIDTH DIGIT ZERO`.

### Lettres majuscules accentuées

Le Vidéoway n'avait aucune lettre majuscule accentuée, l'accent étant typiquement omis sur une lettre majuscule en français. Ce n'est plus vraiment le cas de nos jours, je me suis donc permis de créer des variantes accentuées pour votre convenance. Il est quand même important de prendre ce fait en compte pour une émulation exacte et précise du Vidéoway original.

## Crédits

Créé par J. P. Yuki Savard / [a39](https://a39.ca)

Publié sous Licence Libre du Québec – Permissive (LiLiQ-P)