# Vidéoway Mono

[Français](README.fr.md)

![](demo_charset.png)

A 8x11px font meant to be a complete remake of the font found in the old Videoway terminals from Vidéotron, with a few additions to cover as much scripts as possible. Hand-made for retrogaming fans, but also a nice font for programmers who want a small, easy to read font.

It's a bitmap font, so it works best in a multiple of 11px or 8pt. Glyphs are 8 pixels large with a few ones double width, making it ideal for most uses of a monospaced font.

Note: Videoway Mono is available in two variations: the HiDpi version is mostly identical to the other one but with its resolution doubled: it renders best at a multiple of 22px or 16pt, and a few glyphs like the checkmark are taking advantages of this with a so-called HD version. Anyway, unless you need a version optimized for 11 pixels high you need this one.

![](demo_sqrt.png)

## Installation

=> [Download the latest version here](https://a39.dev/VideowayRevival/VideowayMono/releases) <=

The HiDpi.ttf version pour Windows et .dfont for Mac should do the job, the rest are for those who knows about it ;)

### Build the latest version yourself

You need a copy of FontForge, [Bits'N'Picas](https://github.com/kreativekorp/bitsnpicas), git, make, and a command line.

```sh
git clone https://a39.dev/VideowayRevival/VideowayMono
cd VideowayMono
make
```

## Notes

### Crédits

Huge thanks to [David Viens (plgDavid)](https://merveilles.town/@plgDavid) who reverse-engineered the Videoway and posted the original font we can find almost unaltered in the Basic Latin block, plus a few accented lowercase letters and symbols I found each of them an appropriate place in the Unicode mapping, or failing that the Private Use Area from `U+F000`. The rest are either other symbols found in screenshots, or a creation drawn by myself in mostly the same style.

Also, thanks to the Vidéoway Revival Discord server for their support.

### Zero

A different zero can be found in a few places in the Videoway interface. I took the decision to keep the original zero, which is the same as the letter O, and which is also the one found in a majority of the screenshots I found, and to encode the alternate one at `U+FF10 FULL WIDTH DIGIT ZERO`.

### Accented uppercase letters

The Videoway had no accented uppercase letter, as the accent was usually omitted on an uppercase letter in French. It's not that much of the case these days, so for your convenience I created these accented variants. It is still important to take this in consideration when creating an exact and accurate emulation of the original Videoway.

## Credits

Created by J. P. Yuki Savard / [a39](https://a39.ca)

Published under Licence Libre du Québec – Permissive (LiLiQ-P)