<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Vidéoway Mono</title>
    <link rel="stylesheet" href="styles.css">
    <style>
        body
        {
            font-family: "Videoway Mono-HiDpi";
            font-size: 11px;
        }
        .lodpi
        {
            font-family: "Videoway Mono";
        }
        h1,h2,h3,h4,h5,h6
        {
            font-weight: normal;
        }
        .glyphs div
        {
            display: inline-flex;
            flex-direction: column;
            border: 1px grey solid;
            margin-top: 2px;
            margin-right: 2px;
        }
        .glyphs div span
        {
            margin: 2px;
        }
        .glyphs div span:nth-child(odd)
        {
            font-size: 11px;
            border-bottom: 1px grey solid;
        }
        .glyphs div span:nth-child(even)
        {
            font-size: 44px;
            white-space: pre;
        }
    </style>
</head>
<body>
    <h1>Videoway Mono</h1>
    <h2>version 1.003</h2>
    <p>A 8x11px font meant to be a complete remake of the font found in the old Videoway terminals from Vidéotron, with a few additions to cover as much scripts as possible. Hand-made for retrogaming fans, but also a nice font for programmers who want a small, easy to read font. It's a bitmap font, so it works best in a multiple of 11px or 8pt. Glyphs are 8 pixels large with a few ones double width, making it ideal for most uses of a monospaced font.</p>
    <h2>FAQ</h2>
    <h3>Which one do I pick?</h3>
    <p>The .ttf ones should just work out of the box. On MacOS, the .dfont should work as well. On Linux, you should be able to <a href="https://wiki.archlinux.org/title/Fonts">figure it out</a>. Finally, if you're embedding this font on the web, you can pick the .woff2 files and use them with the included CSS stylesheet.</p>
    <h3>What's with the HiDPi version?</h3>
    <p>Check the Charset section below.</p>
    <h3>The zero is wrong!</h3>
    <p>There's an alternate one at U+FF10.</p>
    <h3>What's with the accented uppercase characters?</h3>
    <p>The original Videoway font notably didn't have any accented uppercase characters (or a lot of the symbols shown here), but for convenience, I created new ones. You should take this in consideration when emulating the Videoway.</p>
    <h3>The kerning is all over the place!</h3>
    <p>Yeah, I checked, it was like this on the original Videoway too.</p>
    <h3>Where did you get this from?</h3>
    <p>Credits to plgDavid who extracted the font from a Videoway terminal (accounting for the Basic Latin Unicode block, the accented lowercase letters used in French and some symbols), a few of them were copied from old screenshots and the rest are my own creation.</p>
    <h3>Who are you? Why are you doing this?</h3>
    <p>I'm <a href="https://a39.ca">Yuki</a>, and this is a love letter to the <a href="https://en.wikibooks.org/wiki/History_of_video_games/Platforms/Vid%C3%A9oway">cable box of my childhood</a>.</p>
    <h2>Charset</h2>
    <h3>Videoway Mono-HiDpi</h3>
    <p>Renders best at 22px or multiples thereof. This one is the most accurate to the original Videoway font, recommended for larger font sizes.</p>
    <section class="glyphs">
%GLYPHS%
    </section>
    <h3>Videoway Mono</h3>
    <p>Renders best at 11px. Recommended if you need a small font, such as in a text editor. It should still be largely the same, except for these glyphs, adapted for a lower resolution.</p>
    <section class="glyphs lodpi">
<div><span>00d7</span><span>&#xd7;</span></div><div><span>2714</span><span>&#x2714;</span></div>
    </section>
</body>
</html>